Download it now!
Bug 76581 - CRASH: Impress crashes after copying slides to new document
Summary: CRASH: Impress crashes after copying slides to new document
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: x86-64 (AMD64) Linux (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.4.0 target:4.3.5
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-25 05:16 UTC by bugzilla
Modified: 2014-11-17 20:50 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
presentation file to reproduce with (16.82 KB, application/vnd.oasis.opendocument.presentation)
2014-03-25 05:16 UTC, bugzilla
Details

Note You need to log in before you can comment on or make changes to this bug.
Description bugzilla 2014-03-25 05:16:52 UTC
Created attachment 96340 [details]
presentation file to reproduce with

After opening a .pptx file and copying some slides to a new presentation, LibreOffice crashed on starting the slide show. I have attached a minimal file that can be used to reproduce the issue.

My system:
64-bit Arch Linux with LibreOffice 4.2.2.1. 

Steps to reproduce:
1. Open the attached presentation file.
2. Go to the slide sorter and copy the slides to clipboard.
3. Open a new empty presentation, and paste the slides to the end of the slide sorter, giving you 3 slides total.
4. Start presenting. (for me, in the mode that shows both the current and next slide on the screen)
5. Go to the next slide. 

What should happen:
Libreoffice should show the next slide, and the slide after that (with text) in the next-slide-box.

What happens:
Libreoffice keeps the next-slide-box empty, and shows a message-box with title "LibreOffice 4.2 - Fatal Error" and no content, except for the exception icon. On pressing OK it completely terminates. 

Running with --backtrace:
I got no interesting output, just:
[Inferior 1 (process 27016) exited with code 0115]
/usr/lib/libreoffice/program/gdbtrace:9: Error in sourced command file:
No stack.
quit

Other things that might be related:
- The presentation uses Calibri, a font I do not have. (I imported it from a .pptx file)
- The bullet characters show up as blocks, likely also a font thing.
Comment 1 sophie 2014-03-27 14:16:00 UTC
I can confirm exactly the same using Version: 4.2.3.2
Build ID: 7c5c769e412afd32da4d946d2cb0c8b0674e95e0 Ubuntu 13.10 - Set as new - Sophie
Comment 2 bugzilla 2014-05-22 22:41:43 UTC
Bug is still present and 100% reproducible in 4.2.4.2.
Comment 3 Caolán McNamara 2014-10-21 09:48:34 UTC
Only happens for me on multihead, i.e. presenter console active
Comment 4 Caolán McNamara 2014-11-05 16:24:35 UTC
bisected this to 0218b0e2fa510d7acd7413dbedefd9ad50257f76

commit 0218b0e2fa510d7acd7413dbedefd9ad50257f76
Author: Ciorba Edmond <edmond_ciorba@yahoo.com>
Date:   Mon Jul 15 19:45:44 2013 +0300

    fdo#65457 -  Provide visual clues in presenter view.
    
    Change-Id: I225ae2dfa467df824d2586a05c8b8b576a43e8dc
Comment 5 Commit Notification 2014-11-06 09:59:38 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9b3410961e52b4666a118158512e050462711fd0

Resolves: fdo#76581 copy-and-paste -> slideshow crash in presenter console

It will be available in 4.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.